org.apache.ignite.internal.cache.query.index.sorted.keys

## Class DateIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.DateTimeIndexKey
  - - org.apache.ignite.internal.cache.query.index.sorted.keys.DateIndexKey

All Implemented Interfaces:
  IndexKey

    public class DateIndexKey
    extends DateTimeIndexKey

### Constructor Summary

Constructors
Constructor and Description
`DateIndexKey(long dateVal)`
`DateIndexKey(Object obj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(IndexKey o)`
`int` `compareTo(long dateVal, long nanos)`
`long` `dateValue()`
`Object` `key()`
`String` `toString()`
`IndexKeyType` `type()`

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.keys.DateTimeIndexKey

`isComparableTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DateIndexKey

    public DateIndexKey(Object obj)

#### DateIndexKey

    public DateIndexKey(long dateVal)

### Method Detail

#### dateValue

    public long dateValue()

Returns:
  a date value `DateValueUtils`.

#### type

    public IndexKeyType type()

Returns:
  Index key type `IndexKeyType`.

#### key

    public Object key()

Returns:
  Value of this key.

#### compareTo

    public int compareTo(long dateVal,
                         long nanos)

Specified by:
  `compareTo` in class `DateTimeIndexKey`

#### compare

    public int compare(IndexKey o)

Returns:
  Comparison result with other IndexKey.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022